class ebkBanner extends HTMLElement {
    constructor(){
        super();
        this.generateBanner();
    }

    async generateBanner() {
        var graphql = JSON.stringify({
            query: 'query { ebayKleinanzeigen{ count }}',
        })
        var requestOptions = {
            method: 'POST',
            body: graphql,
            headers: { 'Content-Type': 'application/json' }
        };
        let elementCount = (await (await fetch("/API/graphql.php", requestOptions)).json()).data.ebayKleinanzeigen.count;
        if(elementCount > 0) {
            const h2 = document.createElement("h2");
            h2.classList.add("red");
            h2.innerHTML = "Ich biete aktuell verschiedene Artikel zum verkauf an, eine genaue Übersicht ist <a class=\"red\" href=\"/selling.html\">hier</a> zu sehen."
            this.appendChild(h2);
        }
    }
}

customElements.define("jl-ebk-banner", ebkBanner);
